<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('communes', function (Blueprint $table) {
            $table->id(); 
            $table->string('libellear');
            $table->string('libellefr');
            $table->unsignedBigInteger('moughataa_id');
            $table->foreign('moughataa_id')->references('id')->on('moughataas')
            ->constrained()
            ->onUpdate('restrict')
            ->onDelete('restrict'); 

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('communes');
    }
};
